Protocol::Ext::BIG_REQUESTS(3)

NAME
X11::Protocol::Ext::BIG_REQUESTS - Perl module for the X11 protocol Big Requests extension

SYNOPSIS
  use X11::Protocol;
  $x = X11::Protocol->new($ENV{'DISPLAY'});
  $x->init_extension('BIG_REQUESTS') or die;

DESCRIPTION
This module is used by the X11::Protocol module to participate in the 'Big Requests' extension to the X protocol. Once initialized, it transparently allows requests of more than 262140 (65535 * 4) bytes. The new maximum request length is avaliable as "$x->maximum_request_length".

AUTHOR
Stephen McCamant <SMCCAM@cpan.org>.

SEE ALSO
perl(1), X11::Protocol, Big Requests Extension (X Consortium Standard).